%define anolis_release 1
%global pypi_name smplx
%global pypi_version 0.1.28

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        PyTorch module for loading the SMPLX body model

License:        None
URL:            http://smpl-x.is.tuebingen.mpg.de
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
SMPL-X (SMPL eXpressive) is a unified body model with shape parameters trained 
jointly for the face, hands and body. SMPL-X uses standard vertex based linear 
blend skinning with learned corrective blend shapes, has N = 10, 475 vertices 
and K = 54 joints, which include joints for the neck, jaw, eyeballs and fingers. 
SMPL-X is defined by a function M(θ, β, ψ), where θ is the pose parameters, β the 
shape parameters and ψ the facial expression parameters.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(matplotlib)
Requires:       python3dist(numpy) >= 1.16.2
Requires:       python3dist(shapely)
Requires:       pytorch >= 1.0.1
%description -n python3-%{pypi_name}
SMPL-X (SMPL eXpressive) is a unified body model with shape parameters trained 
jointly for the face, hands and body. SMPL-X uses standard vertex based linear 
blend skinning with learned corrective blend shapes, has N = 10, 475 vertices 
and K = 54 joints, which include joints for the neck, jaw, eyeballs and fingers. 
SMPL-X is defined by a function M(θ, β, ψ), where θ is the pose parameters, β the 
shape parameters and ψ the facial expression parameters.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.1.28-1
- Initial package.